LibreOffice: DataBar Service Reference

LibreOffice LibreOffice 5.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Exported Interfaces | Public Attributes | List of all members
DataBar Service Reference

`import"DataBar.idl";`

Inheritance diagram for DataBar:

## Exported Interfaces
interface | XConditionEntry

## Public Attributes
boolean | ShowValue
long | AxisPosition
| See com.sun.star.sheet.DataBarAxis for possible values. More...
boolean | UseGradient
com::sun::star::util::Color | Color
com::sun::star::util::Color | AxisColor
boolean | UseNegativeColor
com::sun::star::util::Color | NegativeColor
sequence< XDataBarEntry > | DataBarEntries
double | MinimumLength
| Minimum databar length in percent of cell width. More...
double | MaximumLength
| Maximum databar length in percent of cell width. More...

## Additional Inherited Members
Public Member Functions inherited from XConditionEntry
long | getType ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Exported Interfaces

interface XConditionEntry

## Member Data Documentation

com::sun::star::util::Color AxisColor
| property

long AxisPosition
| property

See com.sun.star.sheet.DataBarAxis for possible values.

com::sun::star::util::Color Color
| property

sequence<XDataBarEntry> DataBarEntries
| property

double MaximumLength
| property

Maximum databar length in percent of cell width.

Allowed values are (0, 1000) but larger than MinimumLength.

double MinimumLength
| property

Minimum databar length in percent of cell width.

Allowed values are [0, 100) but smaller than MaximumLength.

com::sun::star::util::Color NegativeColor
| optionalproperty

boolean ShowValue
| property

boolean UseGradient
| property

boolean UseNegativeColor
| property

The documentation for this service was generated from the following file:

- com/sun/star/sheet/DataBar.idl